
stages: 
  - build

variables:
  TAG_RELEASE: $CI_REGISTRY_IMAGE/felix-05-00-00-rm5
  TAG_NIGHTLY: $CI_REGISTRY_IMAGE/felix-nightly

Build release:
  stage: build
  # image: 
  #  name: gitlab-registry.cern.ch/ci-tools/docker-image-builder
  #  entrypoint: [""]
  # script:
  #  - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
  #  - /kaniko/executor --context $CI_PROJECT_DIR --dockerfile $CI_PROJECT_DIR/Dockerfile --destination $TAG_RELEASE
  #  - echo "Image pushed successfully to ${TAG_RELEASE}"
  trigger:
    include:
      - project: 'ci-tools/docker-builder'
        file: '/ci.yml'
    strategy: depend
  variables:
    TO: "${TAG_RELEASE}"
    BUILD_AARCH64: "false"

